Update Melhor Envio settings
curl --request PUT \
--url https://api-global.fastpaybrasil.com/v1/melhor-envio/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"originPostalCode": "01310-100",
"enabledServices": [
1,
2,
3
]
}
'import requests
url = "https://api-global.fastpaybrasil.com/v1/melhor-envio/settings"
payload = {
"originPostalCode": "01310-100",
"enabledServices": [1, 2, 3]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({originPostalCode: '01310-100', enabledServices: [1, 2, 3]})
};
fetch('https://api-global.fastpaybrasil.com/v1/melhor-envio/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Configurações salvas com sucesso"
}Melhor Envio
Update Melhor Envio settings
Saves the origin postal code and the list of enabled service IDs. Only
services in enabledServices are offered to buyers at checkout, even
if Melhor Envio returns additional options.
PUT
/
v1
/
melhor-envio
/
settings
Update Melhor Envio settings
Authorizations
JWT Bearer token authentication. Use the JWT token obtained from the login endpoint in the Authorization header as 'Bearer {token}'.
Body
application/json
Response
200 - application/json
Settings saved
Example:
"Configurações salvas com sucesso"